CVE-2024-34403

NameCVE-2024-34403
DescriptionAn issue was discovered in uriparser through 0.9.7. ComposeQueryMallocExMm in UriQuery.c has an integer overflow via a long string.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1070376

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
uriparser (PTS)buster, buster (security)0.9.1-1+deb10u1vulnerable
bullseye (security), bullseye0.9.4+dfsg-1+deb11u1vulnerable
sid, trixie, bookworm0.9.7+dfsg-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
uriparsersource(unstable)(unfixed)1070376

Notes

[bookworm] - uriparser <no-dsa> (Minor issue)
[bullseye] - uriparser <no-dsa> (Minor issue)
[buster] - uriparser <postponed> (Minor issue)
https://github.com/uriparser/uriparser/issues/183
https://github.com/uriparser/uriparser/pull/186

Search for package or bug name: Reporting problems